org.richfaces.resource

## Enum ResourceLoadingOptimization

- java.lang.Object
- - java.lang.Enum<ResourceLoadingOptimization>
  - - org.richfaces.resource.ResourceLoadingOptimization

- All Implemented Interfaces:
    Serializable, Comparable<ResourceLoadingOptimization>

      public enum ResourceLoadingOptimization
      extends Enum<ResourceLoadingOptimization>

  Determines whenever RichFaces resources should be loaded optimized and how should be optimized.

  Author:
    Lukas Fryc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Compressed` Compression of static resources which is supported (CSS/JS)
    `Packed` Packaging of selected static resources of certain types (CSS/JS)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceLoadingOptimization` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceLoadingOptimization[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Packed

          public static final ResourceLoadingOptimization Packed

      Packaging of selected static resources of certain types (CSS/JS)

    - #### Compressed

          public static final ResourceLoadingOptimization Compressed

      Compression of static resources which is supported (CSS/JS)

  - ### Method Detail

    - #### values

          public static ResourceLoadingOptimization[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceLoadingOptimization c : ResourceLoadingOptimization.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceLoadingOptimization valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.